diff --git a/web/pgadmin/preferences/static/js/preferences.js b/web/pgadmin/preferences/static/js/preferences.js
index c3385fac..88a50bd1 100644
--- a/web/pgadmin/preferences/static/js/preferences.js
+++ b/web/pgadmin/preferences/static/js/preferences.js
@@ -329,19 +329,8 @@ define('pgadmin.preferences', [
               if (!d)
                 return true;
 
-              /* Bind events to enable clicking anywhere and not only text, button */
-              item.on('dblclick', function(e) {
-                e.preventDefault();
-                e.stopPropagation();
-                api.toggle(item);
-              });
-              item.on('click', function(e) {
-                e.preventDefault();
-                e.stopPropagation();
-                api.select(item);
-              });
-                // We will add the preferences in to the preferences data
-                // collection.
+              // We will add the preferences in to the preferences data
+              // collection.
               if (d.preferences && _.isArray(d.preferences)) {
                 _.each(d.preferences, function(p) {
                   preferences.add({
diff --git a/web/pgadmin/static/scss/_aci_tree.overrides.scss b/web/pgadmin/static/scss/_aci_tree.overrides.scss
index c43aef96..e8de8eab 100644
--- a/web/pgadmin/static/scss/_aci_tree.overrides.scss
+++ b/web/pgadmin/static/scss/_aci_tree.overrides.scss
@@ -8,10 +8,16 @@
 }
 .aciTree.aciTreeFocus .aciTreeFocus > .aciTreeLine  {
   background-color: $color-primary-light !important;
+	border-right: $active-border !important;
 }
 
 .aciTree .aciTreeSelected > .aciTreeLine {
   background-color: $color-primary-light !important;
+	border-color: $color-primary-light;
+	border-right: $active-border !important;
+	border-left: none !important;
+	border-top: none !important;
+	border-bottom: none !important;
   -webkit-border-radius: none !important;
   -moz-border-radius: none !important;
   border-radius: none !important;
